import * as THREE from 'https://unpkg.com/three@v0.150.0/build/three.module.js';

var renderer, scene;

// Create a global function 'onLoad'
window.onLoad = () => {
    var canvasContainer = document.getElementById('myCanvasContainer'); // This time we have a <div> element
    var width = 800; // We specify the dimensions here
    var height = 500;

    // Let us create a WebGL renderer with the specified dimensions
    renderer = new THREE.WebGLRenderer();
    renderer.setSize(width, height);
    canvasContainer.appendChild(renderer.domElement); // This will add the <canvas>

    // Every object is in a scene
    scene = new THREE.Scene();

    // Orthographic camera will handle the aspect ratio calculation for us
    var camera = new THREE.OrthographicCamera(width / - 2, width / 2, height / 2, height / - 2, 1, 1000);
    camera.position.z = 100; // Push the camera along the z-direction
    scene.add(camera);

    drawTriangle([0, 0]); // This should draw you a triangle with the midpoint at [0, 0].

    renderer.render(scene, camera); // We render our scene with our camera
}

function drawTriangle(position) {
    var geometry = new THREE.BufferGeometry();		// Vertices (and other info) are held in a BufferGeometry object
    var material = new THREE.MeshBasicMaterial({	// There are different types of material, let us use a basic one
        color: 'red'
    });

    /* --Task--
        Task is to create 3 THREE.Vector3() objects that specify vertex coordinates of our triangle.
        Then you need to add them to the geometry via geometry.setFromPoints(points).
        Because we want our geometry to be filled, we need to add a face of our triangle.
        You can do this by creating an array of vertex indices. To add the indices to the
        geometry, use geometry.setIndex(indices). If you do not see a triangle, make sure the
        face is facing the camera.
    */

    var triangle = new THREE.Mesh(geometry, material); // The triangle will be a mesh object
    scene.add(triangle);							   // We add it to our scene
}